/*******************************************************************************
 *  Copyright 2017-2018 Centre for Development of Advanced Computing(C-DAC), Pune
 *  
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *  
 *   http://www.apache.org/licenses/LICENSE-2.0
 *  
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *******************************************************************************/
package cdac.medinfo.sdk.dcm30_04.templates.enums.cm;

/**
 * This enum represents Code Meaning for ArterialSourceLocations
 */
public enum EnumCM_ArterialSourceLocations 
{
	//CID 3606 Arterial Source Locations
		ABDOMINAL_AORTA("Abdominal aorta"),
		ANTERIOR_COMMUNICATING_ARTERY("anterior communicating artery"),
		ANTERIOR_SPINAL_ARTERY("anterior spinal artery"),
		AORTA("Aorta"),
		AORTIC_ARCH("Aortic Arch"),
		AORTIC_FISTULA("Aortic fistula"),
		ARTERY("Artery"),
		ASCENDING_AORTA("Ascending aorta"),
		AXILLARY_ARTERY("Axillary Artery"),
		BAFFLE("Baffle"),
		BASILAR_ARTERY("basilar artery"),
		BRACHIAL_ARTERY("Brachial artery"),
		BRACHIOCEPHALIC_TRUNK("brachiocephalic trunk"),
		CAROTID_ARTERY("Carotid Artery"),
		CEREBRAL_ARTERY("cerebral artery"),
		COMMON_CAROTID_ARTERY("Common carotid artery"),
		CORONARY_ARTERY("Coronary Artery"),
		DESCENDING_AORTA("Descending aorta"),
		FACIAL_ARTERY("facial artery"),
		FEMORAL_ARTERY("Femoral artery"),
		FISTULA_CORONARY_TO_LEFT_ATRIUM("Fistula coronary to left atrium"),
		FISTULA_CORONARY_TO_LEFT_VENTRICLE("Fistula coronary to left ventricle"),
		FISTULA_CORONARY_TO_RIGHT_ATRIUM("Fistula coronary to right atrium"),
		FISTULA_CORONARY_TO_RIGHT_VENTRICLE("Fistula coronary to right ventricle"),
		GENICULATE_ARTERY("geniculate artery"),
		HEPATIC_ARTERY("Hepatic artery"),
		ILIAC_ARTERY("Iliac artery"),
		INNOMINATE_ARTERY("Innominate artery"),
		INTERNAL_CAROTID_ARTERY("internal carotid artery"),
		INTERNAL_MAMMARY_ARTERY("Internal mammary artery"),
		LACRIMAL_ARTERY("lacrimal artery"),
		LATERAL_PLANTAR_ARTERY("lateral plantar artery"),
		LEFT_PULMONARY_ARTERY("Left pulmonary artery"),
		LINGUAL_ARTERY("lingual artery"),
		LUMBAR_ARTERY("lumbar artery"),
		MESENTERIC_ARTERY("mesenteric artery"),
		MEDIAL_PLANTAR_ARTERY("medial plantar artery"),
		NEO_AORTA_PRIMITIVE_AORTA("Neo-aorta (primitive aorta)"),
		NEONATAL_PULMONARY_ARTERY_PRIMITIVE_PA("Neonatal pulmonary artery (primitive PA)"),
		OCCIPITAL_ARTERY("occipital artery"),
		OPHTHALMIC_ARTERY("ophthalmic artery"),
		PATENT_DUCTUS_ARTERIOSUS("patent ductus arteriosus"),
		PERONEAL_ARTERY("peroneal artery"),
		POPLITEAL_ARTERY("popliteal artery"),
		POSTERIOR_COMMUNICATING_ARTERY("posterior communicating artery"),
		PULMONARY_ARTERIOVENOUS_FISTULA("Pulmonary arteriovenous fistula"),
		PULMONARY_ARTERY("Pulmonary artery"),
		PULMONARY_ARTERY_CONDUIT("Pulmonary artery conduit"),
		PULMONARY_VEIN_WEDGE("Pulmonary vein wedge"),
		RADIAL_ARTERY("radial artery"),
		RENAL_ARTERY("Renal artery"),
		RIGHT_FEMORAL_ARTERY("Right femoral artery"),
		RIGHT_PULMONARY_ARTERY("Right pulmonary artery"),
		SUBCLAVIAN_ARTERY("Subclavian Artery"),
		SUPERFICIAL_TEMPORAL_ARTERY("superficial temporal artery"),
		SUPERIOR_THYROID_ARTERY("superior thyroid artery"),
		SYSTEMIC_COLLATERAL_ARTERY_TO_LUNG("Systemic collateral Artery to lung"),
		THORACIC_AORTA("Thoracic aorta"),
		TIBIAL_ARTERY("tibial artery"),
		TRUNCUS_ARTERIOSUS_COMMUNIS("Truncus Arteriosus Communis"),
		UMBILICAL_ARTERY("Umbilical artery"),
		VERTEBRAL_ARTERY("Vertebral artery"),
		;
	private String value;
	
	EnumCM_ArterialSourceLocations(String strvalue)
	{
		this.value = strvalue;
	}
	
	/**
	 * This function returns the String value of this enum.
	 * @return - returns string value of Meta SOP Class.
	 */
	public String getValue()
	{
		return value;
	}
}
